10005 Rem REWRITTEN EXCLUSIVELY FOR QB64PE ON 09/10/2024
100010 Rem INSTRUCTIONS FOR "SUPER STARTREK"  MAR 5, 1978
100020 Cls: Color 15: For I = 1 To 12: Print: Next I
100021 Print Tab(10); "*************************************"
100022 Print Tab(10); "*                                   *"
100023 Print Tab(10); "*                                   *"
100030 Print Tab(10); "*   * * ";: Color 12: Print "SUPER STAR TREK v5.0a ";: Color 15: Print "* *   *"
100031 Print Tab(10); "*                                   *"
100032 Print Tab(10); "*                                   *"
100035 Print Tab(10); "*************************************"
100036 For I = 1 To 8: Print: Next I
100040 Input "Do you need instructions(Y/N)"; K$: K$ = UCase$(K$): If K$ = "N" Then GoTo 10001210
100090 Print "      Instructions for 'Super Star Trek'"
1000100 Print
1000110 Print "1. When you see Command? printed, enter one of the legal commands:"
1000111 Color 12: Print " (NAV,SRS,LRS,PHA,TOR,SHE,DAM,COM,XXX,FIX,"
1000112 Print " INC,???,PHO,GEN,LOC,DIS,SEA,HLP,INS,RAT,LST)"
1000130 Color 15: Print "2. If you should type in an illegal command or press enter"
1000131 Print "     the command loop will be displayed."
1000132 Print "     Type ??? to display command list."
1000150 Print "3. Some commands require you to enter data; For example, the"
1000160 Print "     NAV command comes back with 'Course(1-9)?'  If you"
1000170 Print "     type in illegal data (like negative numbers), that command"
1000180 Print "     will be aborted."
1000181 Print "4. Navigation can also be specified on the command input loop"
1000182 Print "     when specified as <D> for direction or <D>,<W> for warp factor."
1000190 Print
1000191 GoSub 10001222
1000192 Print "     The galaxy is divided into an 8 X 8 quadrant grid,"
1000280 Print "and each quadrant is further divied into an 8 X 8 sector grid."
1000290 Print
1000300 Print "     You will be assigned a starting point somewhere in the"
1000310 Print "galaxy to begin a tour of duty as commander of the starship"
1000320 Print "Enterprise; Your mission: To seek and destroy the fleet of"
1000330 Print "Romulan and Klingon warships which are menacing the United"
1000340 Print "Federation of Planets."
1000360 Print
1000365 GoSub 10001222
1000370 Print "     You have the following commands available to you as Captain"
1000380 Print "of the starship Enterprise:"
1000385 Print
1000390 Print " NAV  Command = Warp Engine Control --"
1000400 Print "     Course is in a circular numerical      4  3  2"
1000410 Print "     vector arrangement as shown:            \ | /"
1000420 Print "     integer and real values may be            |"
1000430 Print "     used.  (Thus course 1.5 is half-     5 ---*--- 1"
1000440 Print "     way netween 1 and 2)                      |"
1000450 Print "                                             / | \"
1000460 Print "     Values may approach 9.0, which         6  7  8"
1000470 Print "     itself is equivalent to 1.0"
1000480 Print "                                            COURSE"
1000490 Print "     One warp factor is the size of "
1000500 Print "     one quadrant.  Therefore, to get"
1000510 Print "     from quadrant 6,5 to 5,5, you would"
1000520 Print "     use course 3, warp factor 1."
1000521 Print "  XXX  (Resign Your Command)"
1000522 Print "     Allows the Captain to resign and restart or quit game."
1000523 Print "  HLP/INS  (Display Instructions)"
1000525 GoSub 10001222
1000530 Print
1000540 Print "  SRS  Command = Short Range Sensor Scan"
1000550 Print "     Shows you a scan of your present quadrant."
1000555 Print
1000560 Print "     Symbology on your sensor screen is as follows:"
1000570 Print "        <*> = Your starship's position"
1000580 Print "        +++ = Klingon battle cruiser"
1000585 Print "        [+] = Romulan battle cruiser"
1000590 Print "        >!< = Federation starbase (Refuel/Rrpair/Re-Arm here!)"
1000595 Print "        >*< = Vulcan starbase (Cannot be destroyed)"
1000600 Print "         *  = STAR"
1000601 Print
1000605 Print "     There is only 1 Vulcan starbase in the galaxy."
1000606 Print "     There can be up to 4 Klingons and 2 RoulansS per quadrant."
1000610 Print "     A condensed 'status report' wil also be presented."
1000615 GoSub 10001222
1000620 Print
1000640 Print " LRS  Command = Long Range Sensor Scan"
1000650 Print "     Shows conditions in space for one quadrant on each side"
1000660 Print "     of the Enterprise (which is in the middle of the scan)"
1000670 Print "     The scan is coded in the form ####, where the units digit"
1000680 Print "     is the number of stars, the tens digit is the number of"
1000690 Print "     starbases, the hundreds digit is the number of Klingons"
1000691 Print "     and the thousands digit id the number of Romulans."
1000705 Print
1000706 Print "     Example - 0207 = No Romulans, 2 Klingons, No starbases, & 7 stars."
1000707 GoSub 10001222
1000710 Print
1000720 Print " PHA  Command = Phaser Control."
1000730 Print "     Allows you to destroy the nearby battle cruisers by "
1000740 Print "     zapping them with suitably large units of energy to"
1000750 Print "     deplete their shield power.  (Remember, Klingons have"
1000760 Print "     phasers too!)"
1000765 GoSub 10001222
1000770 Print
1000780 Print " TOR  Command = Photon Torpedo Control"
1000790 Print "     Torpedo course is the same as used in the engine control"
1000800 Print "     If you hit the Klingon vessel, he is destroyed and"
1000810 Print "     cannot fire back at you.  If you miss, you are subject to"
1000820 Print "     his phaser fire.  In either case, you are also subject to "
1000825 Print "     the pahser fire of all other enemies in the quadrant."
1000830 Print
1000835 Print "     The Library-Comp[uter(COM Command) has an option to"
1000840 Print "     compute torpedo trajectory for you (Option 2)"
1000845 GoSub 10001222
1000850 Print
1000860 Print " SHE  Command = Shield Control"
1000870 Print "     Defines the number of energy units to be assigned to the"
1000880 Print "     shields.  Energy is taken from total ship's energy.  Note"
1000890 Print "     than the status display total energy includes shield energy"
1000895 GoSub 10001222
1000900 Print
1000910 Print " DAM  Command = Damage Control Report"
1000920 Print "     Gives the state of repair of all devices.  Where a negative"
1000930 Print "     'State of repair' shows that the device is temporarily"
1000940 Print "     damaged."
1000945 GoSub 10001222
1000950 Print
1000960 Print " COM  Command = Library-Computer"
1000970 Print "     The Library-Computer contains six options:"
1000980 Print "     Option 1 = Cumulative Galactic Record"
1000990 Print "        This option shows computer memory of the results of all"
10001000 Print "        previous short and long range sensor scans."
10001010 Print "     Option 2 = Status Report"
10001020 Print "        This option shows the number of Romulans, Klingons, Stardate,"
10001030 Print "        and starbases remaining in the game."
10001040 Print "     Option 3 = Photon Torpedo Data"
10001050 Print "        Which gives directions and distance from the Enterprise"
10001060 Print "        to all Romulans and Klingons in your quadrant."
10001070 Print "     Option 4 = Starbase Nav Data"
10001080 Print "        This option gives direction and distance to any "
10001090 Print "        starbase within your quadrant."
10001100 Print "     Option 5 = Direction/Distance Calculator"
10001110 Print "        This option allows you to enter coordinates for"
10001120 Print "        direction/distance calculations."
10001130 Print "     Option 6 = Galactic Region Name Map"
10001140 Print "        This option prints the names of the sixteen major"
10001145 Print "        galactic regions referred to in the game."
10001146 Print "     Option 7 = Exit Library-Computer"
10001151 GoSub 10001222
10001155 Print "Additional commands for QB64:"
10001160 Print "  FIX  (Repair All Devices)"
10001161 Print "     Attempts to repair all damaged devices."
10001162 Print "     Costs 100 energy units."
10001163 Print "     This failsafe function is also called when all devices damaged."
10001170 Print "  INC  (Increment Device)"
10001171 Print "     Prompts to increase status of any device."
10001172 Print "     Costs 10 energy units per device."
10001180 Print "  PHO  (Star Destroyer Torpedo)"
10001181 Print "     Fires a star destoyer torpedoe."
10001182 Print "     This torpedo also obliterates stars."
10001183 Print "     If all stars in a quadrant are destroyed then the Captain"
10001184 Print "     will be found unfit for duty and the game will quit."
10001185 GoSub 10001222
10001186 Print "  GEN  (Genesis Device)"
10001187 Print "     Initiates the star creator Gensis Device."
10001188 Print "     This creates a star. When the star is formed all enemies in the quadrant"
10001189 Print "     will be vaporized and the starship hit for 50 shield points."
10001190 Print "  LOC  (Starbase Locate)"
10001191 Print "     Lists all Starbase coordinates in the Galaxy."
10001192 Print "  DIS  (Display Klingons/Romulans)"
10001193 Print "     Lists all klingon and romulan coordinates in the Galaxy."
10001194 Print "  SEA  (Searches Galaxy)"
10001195 Print "     Prompts for Quadrant values to search in Galaxy."
10001196 GoSub 10001222
10001197 Print "  RAT  (Display Captains Rating)"
10001198 Print "     Displays Captains current rating score."
10001199 Print "  BUY  (Buy Star Photonic Device)"
10001200 Print "     Purchases a star photonic destroyer device at a vulcan starbase."
10001201 Print "     Costs 1000 credits."
10001202 Print "  PUR  (Purchase Energy)"
10001203 Print "     Purchases 100 energy points at a vulcan starbase."
10001204 Print "     Costs 100 credits."
10001205 Print "  RND  (Random Course)"
10001206 Print "     Moves the Enterprise in a random direction at a random warp factor."
10001207 Print "  LST  (List Staff)"
10001208 Print "     Lists all Enterprise staff crew."

10001209 Print "  EXE  (Execuive Command)"
10001210 Print "     Uses executive order to destroy ships in all nearby quadrants."
10001211 Print "     Reduces ship energy by 1000 units."
10001212 Print "  TOP  (Top 10 Report)"
10001213 Print "     Displays top 10 scores from most recent Captains."
10001214 Print "  SAV  (Save Current Game)"
10001215 Print "     Prompts for and saves current game."
10001216 Print "  LOA  (Load Game Number)"
10001217 Print "     Prompts for and loads a saved game."

10001220 Color 14: Print "Press enter key";: Input X
10001221 Color 7: End
10001222 Color 14: Print "Press enter key to continue or any value to quit:";
10001223 Do
   10001224 X$ = InKey$
   10001225 If Len(X$) Then
      10001226 If X$ = Chr$(13) Then Color 15: Print: Return
      10001227 Exit Do
   10001228 End If
10001229 Loop
10001230 Color 7: End

